Bug 56077 - printer dialog header footer settings
Summary: printer dialog header footer settings
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: 2.1
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Anders Lund
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-17 22:19 UTC by Richard Bos
Modified: 2011-08-15 08:46 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Bos 2003-03-17 22:19:02 UTC
Version:           2.1 (using KDE KDE 3.1)
Installed from:    SuSE RPMs

It would be nice if the tags user unfriendly tags %u, %y and %f in the
printer dialog header and footer tab would be replaced with a dropdown meny
that shows the available options (%u, %f etc) to the user.

The current functionality is nice, but not user friendly => hope to see it
become user friendly in the future.

--
Richard
Comment 1 John Vickers 2003-05-14 15:38:08 UTC
Using Mandrake 9.1, with mandrake 3.1 RPMs, "WhatsThis" doesn't work in the print
dialogue box:

Shift-F1 works in kwrite itself, but appears to have no effect within the printer
dialogue.

Fixing this might resolve the report above.
Comment 2 Anders Lund 2003-05-14 17:08:52 UTC
Subject: Re:  printer dialog header footer settings

On Wednesday 14 May 2003 15:38, John Vickers wrote:
> Using Mandrake 9.1, with mandrake 3.1 RPMs, "WhatsThis" doesn't work in the
> print dialogue box:
>
> Shift-F1 works in kwrite itself, but appears to have no effect within the
> printer dialogue.

Mh, using a sane window decoration, you will have a "?" button in the title 
bar of the dialog, which activates whatsthis mode.

I have completion on my TODO, but it needs to work for parts of strings, so it 
takes a wee bit of thinking...

-anders

Comment 3 Anders Lund 2004-11-04 21:33:24 UTC
I *may* be willing to add a menu to chose from at some point
Comment 4 Dominik Haumann 2011-08-11 12:56:41 UTC
Git commit d05f15c9e3ea2c55aba05666b9b11ebe7bf50f84 by Dominik Haumann.
Committed on 11/08/2011 at 14:29.
Pushed by dhaumann into branch 'master'.

print: add placeholders in context menu of header & footer

Now, there are several ways to know that placeholders are available:
1. use What's This on the line edits
2. use context menu > Add Separator...
That should be enough.

BUG: 56077

M  +60   -0    part/utils/kateprinter.cpp
M  +1    -0    part/utils/kateprinter.h

http://commits.kde.org/kate/d05f15c9e3ea2c55aba05666b9b11ebe7bf50f84
Comment 5 Richard Bos 2011-08-15 08:46:51 UTC
Thanks for fixing this bug / feature request.  

It's nice to see that bugs gets fixed especially when they are old (this one was reporte 8.5 years ago on KDE 3.1) :)